Skip to main content

Update Virtual Machine Disk

PATCH 

/v1/terraform/virtual_machine_disk/:vm_disk_id

Update a virtual machine disk

Request

Path Parameters

    vm_disk_id uuidrequired

    The virtual machine disk ID

Body

required

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the machine size used by the provider

    disk_size Disk Size (integer)required

    The capacity of the Disk in GiB

    disk_type Disk Type (string)required

    Possible values: non-empty and <= 64 characters

    The type of disk, Standard or Premium

Responses

Successful Response

Schema

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the machine size used by the provider

    disk_size Disk Size (integer)required

    The capacity of the Disk in GiB

    disk_type Disk Type (string)required

    Possible values: non-empty and <= 64 characters

    The type of disk, Standard or Premium

    virtual_machine_disk_id uuidrequired
Loading...